# Webhooks

Gatenox webhooks are an important feature that allows downstream systems to receive notifications of the status of Customer KYC Applications.&#x20;

The webhook notifications are highly customizable, allowing you to choose the types of events you want to receive notifications for (new application received, changes made, process completed). This means that you can tailor the notifications to your specific needs and preferences, ensuring that you receive the information you need in a timely and effective manner.

Gatenox webhooks are a simple, yet powerful way to stay informed about the status of your review requests, enabling you to work more efficiently and effectively.

To register your webhook endpoint please follow the guide here: [Company information](/gatenox-hub-wiki/general-settings/company-information.md).

Below you can find an example of the webhook endpoint.

## Webhook endpoint example

<mark style="color:green;">`POST`</mark> `https://example.com/webhook`

An example of a webhook endpoint.

#### Request Body

| Name                                               | Type   | Description                                          |
| -------------------------------------------------- | ------ | ---------------------------------------------------- |
| event<mark style="color:red;">\*</mark>            | string | Event type.                                          |
| new\_state<mark style="color:red;">\*</mark>       | string | New status of the review process.                    |
| prev\_state<mark style="color:red;">\*</mark>      | string | Previous status of the review process.               |
| verification\_id<mark style="color:red;">\*</mark> | string | Id of verification (review) related to notification. |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "event": "state_change",
  "new_state": "qa",
  "prev_state": "in_progress",
  "verification_id": "21c1a29c-68e0-40a5-b6c8-6f85350213b8"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gatenox.com/gatenox-hub-wiki/gatenox-api/webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
